Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PortableServer::ServantActivator Interface Reference

`#include <ServantActivatorC.h>`

Inheritance diagram for PortableServer::ServantActivator:

[legend]
Collaboration diagram for PortableServer::ServantActivator:

[legend]
List of all members.

## Public Types
typedef ServantActivator_ptr | _ptr_type
typedef ServantActivator_var | _var_type
## Public Member Functions
Servant | incarnate (in ObjectId oid, in POA adapter) raises (ForwardRequest)
void | etherealize (in ObjectId oid, in POA adapter, in Servant serv, in boolean cleanup_in_progress, in boolean remaining_activations)
virtual ::PortableServer::Servant | incarnate (const ::PortableServer::ObjectId &oid,::PortableServer::POA_ptr adapter)=0 throw ( CORBA::SystemException, ::PortableServer::ForwardRequest )
virtual void | etherealize (const ::PortableServer::ObjectId &oid,::PortableServer::POA_ptr adapter,::PortableServer::Servant serv,::CORBA::Boolean cleanup_in_progress,::CORBA::Boolean remaining_activations)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Member Functions
ServantActivator_ptr | _duplicate (ServantActivator_ptr obj)
void | _tao_release (ServantActivator_ptr obj)
ServantActivator_ptr | _narrow (CORBA::Object_ptr obj)
ServantActivator_ptr | _unchecked_narrow (CORBA::Object_ptr obj)
ServantActivator_ptr | _nil (void)
## Protected Member Functions
| ServantActivator (void)
virtual | ~ServantActivator (void)
## Private Member Functions
| ServantActivator (const ServantActivator &)
void | operator= (const ServantActivator &)

## Member Typedef Documentation

typedef ServantActivator_ptr PortableServer::ServantActivator::_ptr_type

| Implements PortableServer::ServantManager.

typedef ServantActivator_var PortableServer::ServantActivator::_var_type

| Implements PortableServer::ServantManager.

## Constructor & Destructor Documentation

PortableServer::ServantActivator::ServantActivator | ( | void |  | ) | `[protected]`

PortableServer::ServantActivator::~ServantActivator | ( | void |  | ) | `[protected, virtual]`

PortableServer::ServantActivator::ServantActivator | ( | const ServantActivator & |  | ) | `[private]`

## Member Function Documentation

PortableServer::ServantActivator_ptr PortableServer::ServantActivator::_duplicate | ( | ServantActivator_ptr | obj | ) | `[static]`

const char * PortableServer::ServantActivator::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Implements PortableServer::ServantManager.

virtual CORBA::Boolean PortableServer::ServantActivator::_is_a | ( | const char * | type_id | ) | `[virtual]`

| Implements PortableServer::ServantManager.

ServantActivator_ptr PortableServer::ServantActivator::_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

| Implements PortableServer::ServantManager.

ServantActivator_ptr PortableServer::ServantActivator::_nil | ( | void |  | ) | `[inline, static]`

| Implements PortableServer::ServantManager.

void PortableServer::ServantActivator::_tao_release | ( | ServantActivator_ptr | obj | ) | `[static]`

ServantActivator_ptr PortableServer::ServantActivator::_unchecked_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

| Implements PortableServer::ServantManager.

virtual void PortableServer::ServantActivator::etherealize | ( | const ::PortableServer::ObjectId & | oid,
|  | ::PortableServer::POA_ptr | adapter,
|  | ::PortableServer::Servant | serv,
|  | ::CORBA::Boolean | cleanup_in_progress,
|  | ::CORBA::Boolean | remaining_activations
| ) | throw ( CORBA::SystemException )`[pure virtual]`

void PortableServer::ServantActivator::etherealize | ( | in ObjectId | oid,
|  | in POA | adapter,
|  | in Servant | serv,
|  | in boolean | cleanup_in_progress,
|  | in boolean | remaining_activations
| ) |

virtual ::PortableServer::Servant PortableServer::ServantActivator::incarnate | ( | const ::PortableServer::ObjectId & | oid,
|  | ::PortableServer::POA_ptr | adapter
| ) | throw ( CORBA::SystemException, ::PortableServer::ForwardRequest )`[pure virtual]`

Servant PortableServer::ServantActivator::incarnate | ( | in ObjectId | oid,
|  | in POA | adapter
| ) | raises (ForwardRequest)

CORBA::Boolean PortableServer::ServantActivator::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Implements PortableServer::ServantManager.

void PortableServer::ServantActivator::operator= | ( | const ServantActivator & |  | ) | `[private]`

The documentation for this interface was generated from the following files:

- ServantActivator.pidl
- ServantActivatorC.h
- ServantActivatorC.cpp